<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Moment Demo</title>
    <script src="assets/jquery-3.6.0.min.js"></script>
    <script src="assets/plugin/moment.min.js"></script>

</head>

<body class='content'>
    <h1>日期產生器</h1>
    <p>Using Momomet.js Demo</p>
    <div id='div1'>
        <input type="date" id='myDate'>
        &nbsp;
        <button id='btnConvert'>Convert</button>
        <br>
        <label id='show1'>show Something.</label>
    </div>
</body></html>
<script>
    $(function() {
	    var len = 60;
        
        var $div1 = $('#div1');
        var $myDate = $div1.find('#myDate');
        var $btnConvert = $div1.find('#btnConvert');
        var $show1 = $div1.find('#show1');
        
        var $myDate.val(moment().format('YYYY-MM-DD'));
        
        $btnConvert.off('click').on('click', function() {
            var data = ''
            var tmpDate = moment(new Date($myDate.val()));

            data += tmpDate.format('YYYY-MM-DD');
            data += ' , ' + convertEngWeek(tmpDate.format('d'));
            data += '<br>';
            for (i = 0; i < len; i++) {
                tmpDate = tmpDate.add(1, 'days');
                data += tmpDate.format('YYYY-MM-DD');
                data += ' , ' + convertEngWeek(tmpDate.format('d'));
                data += '<br>';
            }
            $show1.html(data);
            
        });
    });

    function convertEngWeek(data) {
        var week;
        switch (data) {
            case '1':
                week = "Mon";
                break;
            case '2':
                week = "Tues";
                break;
            case '3':
                week = "Wed";
                break;
            case '4':
                week = "Thur";
                break;
            case '5':
                week = "Fri";
                break;
            case '6':
                week = "Sat";
                break;
            case '0':
                week = "Sun";
                break;
        }
        return week;
    };

    function convertWeek(data) {
        var week;
        switch (data) {
            case '1':
                week = "一";
                break;
            case '2':
                week = "二";
                break;
            case '3':
                week = "三";
                break;
            case '4':
                week = "四";
                break;
            case '5':
                week = "五";
                break;
            case '6':
                week = "六";
                break;
            case '0':
                week = "日";
                break;
        }
        return week;
    };

</script>
